<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Game</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Bid.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../game/Input.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">game</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>game.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">Central gameplay features</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../game/Game.html#Game--">Game</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#bankruptcyProcess-player.Player-int-">bankruptcyProcess</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                 int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#Buy-player.Player-board.PurchaseableSquare-">Buy</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
   <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a play can afford a square</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#chanceInteractions-player.Player-">chanceInteractions</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>
<div class="block">Handles all the interactions between the players and chance cards</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#chargeRent-player.Player-board.PurchaseableSquare-">chargeRent</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
          <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Calculates the correct rent to be charged to the player who lands on a square owned by another player
 Works for Any type of purchaseable square</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#check-int-int:A-">check</a></span>(int&nbsp;num,
     int[]&nbsp;numbers)</code>
<div class="block">Checks if the number is the closest to avoid repetitive code</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#checkBuy-player.Player-board.PurchaseableSquare-">checkBuy</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
        <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a player wants to buy a square</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#closestTo-int-int:A-">closestTo</a></span>(int&nbsp;position,
         int[]&nbsp;numbers)</code>
<div class="block">Finds the Closest Value to the Target in an Array</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#communityChestInteractions-player.Player-">communityChestInteractions</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>
<div class="block">All the possible interactions from community chest cards</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../cards/Deck.html" title="class in cards">Deck</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#getCommunityChestDeck--">getCommunityChestDeck</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#getPlayers--">getPlayers</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#payRepairs-int-int-player.Player-">payRepairs</a></span>(int&nbsp;houseCost,
          int&nbsp;hotelCost,
          <a href="../player/Player.html" title="class in player">Player</a>&nbsp;p)</code>
<div class="block">Pay Repairs Card implementation method</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#run--">run</a></span>()</code>
<div class="block">run() handles the background game play and user interface</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#setChanceDeck-cards.Deck-">setChanceDeck</a></span>(<a href="../cards/Deck.html" title="class in cards">Deck</a>&nbsp;chanceDeck)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#setCommunityChestDeck-cards.Deck-">setCommunityChestDeck</a></span>(<a href="../cards/Deck.html" title="class in cards">Deck</a>&nbsp;communityChestDeck)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#setPlayers-java.util.ArrayList-">setPlayers</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#squareInteractions-player.Player-board.Square-">squareInteractions</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                  <a href="../board/Square.html" title="class in board">Square</a>&nbsp;sq)</code>
<div class="block">Checks if a square is owned by another player</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#tallyScore--">tallyScore</a></span>()</code>
<div class="block">Creates a list of winners of the game</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Game.html#Trade-player.Player-java.util.ArrayList-">Trade</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
     java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>
<div class="block">Trade things in hand with another player</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="run--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()</pre>
<div class="block">run() handles the background game play and user interface</div>
</li>
</ul>
<a name="Trade-player.Player-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Trade</h4>
<pre>public&nbsp;void&nbsp;Trade(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
                  java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</pre>
<div class="block">Trade things in hand with another player</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - </dd>
<dd><code>players</code> - </dd>
</dl>
</li>
</ul>
<a name="squareInteractions-player.Player-board.Square-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>squareInteractions</h4>
<pre>public&nbsp;boolean&nbsp;squareInteractions(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                                  <a href="../board/Square.html" title="class in board">Square</a>&nbsp;sq)</pre>
<div class="block">Checks if a square is owned by another player</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dd><code>sq</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="chanceInteractions-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chanceInteractions</h4>
<pre>public&nbsp;boolean&nbsp;chanceInteractions(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
<div class="block">Handles all the interactions between the players and chance cards</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>wentBankrupt</dd>
</dl>
</li>
</ul>
<a name="communityChestInteractions-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>communityChestInteractions</h4>
<pre>public&nbsp;boolean&nbsp;communityChestInteractions(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
<div class="block">All the possible interactions from community chest cards</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="closestTo-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closestTo</h4>
<pre>public&nbsp;int&nbsp;closestTo(int&nbsp;position,
                     int[]&nbsp;numbers)</pre>
<div class="block">Finds the Closest Value to the Target in an Array</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - </dd>
<dd><code>numbers</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>closest;</dd>
</dl>
</li>
</ul>
<a name="check-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>check</h4>
<pre>public&nbsp;int&nbsp;check(int&nbsp;num,
                 int[]&nbsp;numbers)</pre>
<div class="block">Checks if the number is the closest to avoid repetitive code</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - </dd>
<dd><code>numbers</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="payRepairs-int-int-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>payRepairs</h4>
<pre>public&nbsp;int&nbsp;payRepairs(int&nbsp;houseCost,
                      int&nbsp;hotelCost,
                      <a href="../player/Player.html" title="class in player">Player</a>&nbsp;p)</pre>
<div class="block">Pay Repairs Card implementation method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>houseCost</code> - </dd>
<dd><code>hotelCost</code> - </dd>
<dd><code>p</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="checkBuy-player.Player-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkBuy</h4>
<pre>public&nbsp;boolean&nbsp;checkBuy(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                        <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
<div class="block">Checks whether a player wants to buy a square</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dd><code>psq</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="Buy-player.Player-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Buy</h4>
<pre>public&nbsp;boolean&nbsp;Buy(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                   <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
<div class="block">Checks whether a play can afford a square</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dd><code>psq</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="chargeRent-player.Player-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chargeRent</h4>
<pre>public&nbsp;boolean&nbsp;chargeRent(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                          <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
<div class="block">Calculates the correct rent to be charged to the player who lands on a square owned by another player
 Works for Any type of purchaseable square</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dd><code>psq</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="tallyScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tallyScore</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;tallyScore()</pre>
<div class="block">Creates a list of winners of the game</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of winners</dd>
</dl>
</li>
</ul>
<a name="bankruptcyProcess-player.Player-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankruptcyProcess</h4>
<pre>public&nbsp;boolean&nbsp;bankruptcyProcess(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                                 int&nbsp;amount)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - </dd>
<dd><code>amount</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getPlayers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayers</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;getPlayers()</pre>
</li>
</ul>
<a name="setPlayers-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayers</h4>
<pre>public&nbsp;void&nbsp;setPlayers(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</pre>
</li>
</ul>
<a name="setChanceDeck-cards.Deck-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setChanceDeck</h4>
<pre>public&nbsp;void&nbsp;setChanceDeck(<a href="../cards/Deck.html" title="class in cards">Deck</a>&nbsp;chanceDeck)</pre>
</li>
</ul>
<a name="getCommunityChestDeck--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCommunityChestDeck</h4>
<pre>public&nbsp;<a href="../cards/Deck.html" title="class in cards">Deck</a>&nbsp;getCommunityChestDeck()</pre>
</li>
</ul>
<a name="setCommunityChestDeck-cards.Deck-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCommunityChestDeck</h4>
<pre>public&nbsp;void&nbsp;setCommunityChestDeck(<a href="../cards/Deck.html" title="class in cards">Deck</a>&nbsp;communityChestDeck)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Bid.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../game/Input.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
